summarylogtreecommitdiffstats
path: root/gcc-gcj.install
diff options
context:
space:
mode:
authorJoey Dumont2015-06-11 15:08:05 -0400
committerJoey Dumont2015-06-11 15:08:05 -0400
commit7d61b7c49911b6b480bb1b743a24d4a5fdd70a0b (patch)
tree21a35231bd912e7c132eb33e4cf04fdd093c9e4a /gcc-gcj.install
downloadaur-7d61b7c49911b6b480bb1b743a24d4a5fdd70a0b.tar.gz
Pushed package to AUR4.
Diffstat (limited to 'gcc-gcj.install')
-rw-r--r--gcc-gcj.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/gcc-gcj.install b/gcc-gcj.install
new file mode 100644
index 000000000000..916aa6a17a1d
--- /dev/null
+++ b/gcc-gcj.install
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(cp-tools-gcj.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+} \ No newline at end of file